Skip to main content

High Availability Public Cloud Co - Update

Update the state of an Azure Public High Availability cloud connector

POST https://{envUri}/api/v1/projects/{projectId}/azure/cloudconnectors/publichadynamics/{id}

URI Parameters​

NameInRequiredTypeDescription
envUripathtruestringUrl of the target platform.
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
idpathtruestringThe Cloud Connector Identifier which uniquely identify your Cloud connector in Evolution Platform.

Request Body​

NameRequiredTypeDescription
statetruestringEtat souhaité du cloud connecteur.
Valeurs autorisées : ACTIVE, DESIGNED

Responses​

NameTypeDescription
200 OKSuccessful operation
Other Status CodesError responseError response describing why the operation failed.

Security​

Type: oauth2

Authorization URL: https://api.orange.com/oauth/v3/token

Examples​

Update from designed to active state​

Request​

POST https://{envUri}/api/v1/projects/{projectId}/azure/cloudconnectors/publichadynamics/{id}

{
"state": "ACTIVE"
}

Response​

HTTP 200
Content: application/json

{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "PROVISIONING",
"projectName": "Demo",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandWidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "PO1",
"secondaryPopLocalization": "POP4",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnetPrimary":"59.23.124.12/29",
"networkSideGatewaySubnetSecondary":"59.23.125.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}

The state will be PROVISIONING during the creation phase, when the operation if finished the state will be ACTIVE.

Go to Get tutorial to check the status of the cloud connector:

Update from active to designed state​

Request​

POST https://{envUri}/api/v1/projects/{projectId}/azure/cloudconnectors/publichadynamics/{id}

{
"state": "DESIGNED"
}

Response​

HTTP 200
Content: application/json

{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "STOPPING",
"projectName": "Demo",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandWidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "PO1",
"secondaryPopLocalization": "POP4",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnetPrimary":"59.23.124.12/29",
"networkSideGatewaySubnetSecondary":"59.23.125.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}

The state will be STOPPING during the creation phase, when the operation if finished the state will be DESIGNED.

Go to Get tutorial to check the status of the cloud connector: